# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Wed May 25 20:13:36 2022
# ------------------------------------------------

package:
  name: epics-base
  version: 7.0.5.0
source:
  fn: base-7.0.5.tar.gz
  patches:
    - CONFIG_COMMON_install_permissions.patch
  sha256: faf8dd3bfa4a3b0036e8b62a5f647a0596bfd579f31c6cc00b2ce2f82bcf9de1
  url: https://epics.anl.gov/download/base/base-7.0.5.tar.gz
build:
  number: '1'
  run_exports:
    - epics-base >=7.0.5.0,<7.0.5.1.0a0
  string: h0e60522_1
requirements:
  build:
    - bzip2 1.0.8 h8ffe710_4
    - ca-certificates 2022.5.18.1 h5b45459_0
    - libffi 3.4.2 h8ffe710_5
    - libzlib 1.2.11 h8ffe710_1014
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-patch 2.7.5 2
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gmp 6.1.0 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - make 4.3 h3d2af85_1
    - msys2-conda-epoch 20160418 1
    - openssl 3.0.3 h8ffe710_0
    - perl 5.32.1.1 2_h57928b3_strawberry
    - python 3.10.4 hcf16a7b_0_cpython
    - sqlite 3.38.5 h8ffe710_0
    - tk 8.6.12 h8ffe710_0
    - tzdata 2022a h191b570_0
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_6
    - vs2015_runtime 14.29.30037 h902a5da_6
    - vs2017_win-64 19.16.27033 hb90652a_6
    - vswhere 3.0.2 h57928b3_0
    - xz 5.2.5 h62dcd97_1
  host:
    - ucrt 10.0.20348.0 h57928b3_0
    - vc 14.2 hb210afc_6
    - vs2015_runtime 14.29.30037 h902a5da_6
  run:
    - perl
    - vc >=14.1,<15
    - vs2015_runtime >=14.16.27033
test:
  commands:
    - caget -h
    - cainfo -h
    - caput -h
    - camonitor -h
    - pvget -h
    - pvput -h
    - pvinfo -h
    - pvlist -h
    - softIoc -h
    - softIocPVA -h
    - p2p -C modules/pva2pva/loopback.conf
    - if not exist %EPICS_BASE%\bin\%EPICS_HOST_ARCH%\caget.exe exit 1
    - if not exist %EPICS_BASE%\bin\%EPICS_HOST_ARCH%\Com.dll exit 1
    - if not exist %EPICS_BASE%\bin\%EPICS_HOST_ARCH%\ca.dll exit 1
    - if not exist %EPICS_BASE%\include\epicsVersion.h exit 1
  source_files:
    - modules/pva2pva/loopback.conf
about:
  home: http://www.aps.anl.gov/epics
  license: EPICS
  license_file: LICENSE
  summary: EPICS Base Library
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - beenje
    - mrakitin
    - tacaswell
